Subject: bug#77415: closed (Re: bug#77415: Native Messaging in librewolf doesn't work)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Apr 2025 07:37:03 +0000

Your bug report

#77415: Native Messaging in librewolf doesn't work

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77415: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77415
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77415: Native Messaging in librewolf doesn't work
From: Clément Lassieur <[email-masked]>
To: Rutherther via Bug reports for GNU Guix <[email-masked]>
Cc: [email-masked], Rutherther <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 08 Apr 2025 09:35:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Apr 08 2025, Rutherther via Bug reports for GNU Guix wrote:

> Clément Lassieur <[email-masked]> writes:
>
>> On Mon, Apr 07 2025, Rutherther via Bug reports for GNU Guix wrote:
>>
>>> I think you've discovered the actual bug. The issue is that
>>> .librewolf/native-messaging-hosts is not checked, instead
>>> ICECAT_SYSTEM_DIR is, with no fallback even if it's empty. When I set
>>> ICECAT_SYSTEM_DIR to $HOME/.librewolf all is working fine again.
>>
>> I don't think so, because on my computer,
>>
>> $HOME/.librewolf/native-messaging-hosts/passff.json
>>
>> works (without changing ICECAT_SYSTEM_DIR)
>>
>> and if I remove that file it doesn't work anymore.
>
>>
>> So just to make it clear: I can't reproduce the bug.
>
> Okay, I was wrong. The problem is only when ICECAT_SYSTEM_DIR is unset.
> When it's set to anywhere, like /, it works fine for me as well.

Great!

Closing :)

Regards,
Clément

Subject: Native Messaging in librewolf doesn't work
From: Konrad Hinsen <[email-masked]>
To: [email-masked]
Date: Mon, 31 Mar 2025 21:43:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi everyone,

I noticed that librewolf is now in Guix, and tried to migrate from my
current installation via librewolf's Debian repository to a Guix-based
installation.

This works mostly fine, except for one point: in the Guix-built
librewolf, the Native Messaging implementation has some problem.

My setup:
 - librewolf 136.0.4-1 (from commit
 2e17b532ed659ed38c738f44f11c35a887bd31c0)
 - PassFF extension (https://codeberg.org/PassFF/passff)
 - PassFF host (https://codeberg.org/PassFF/passff-host)
 - password-store from Guix

With this setup, PassFF signals an error

   "Connection to the host app failed or returned an unexpected result!"

every time it is opened. Some debugging reveals that the Python script
from PassFF host is never run.

Running the apt-installed librewolf (same version), with everything else
exactly the same (same user profile), PassFF works fine.

Cheers,
  Konrad.